Package org.apache.tiles.request.collection

# Class RemovableKeySet

java.lang.Object
org.apache.tiles.request.collection.KeySet
org.apache.tiles.request.collection.RemovableKeySet

All Implemented Interfaces:
  `Iterable<String>`, `Collection<String>`, `Set<String>`

public class RemovableKeySet extends KeySet
Wraps `HasRemovableKeys` keys as a set.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RemovableKeySet(HasRemovableKeys<?> request)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `remove(Object o)`
  `boolean`
  `removeAll(Collection<?> c)`
  `boolean`
  `retainAll(Collection<?> c)`

  ### Methods inherited from class org.apache.tiles.request.collection.KeySet

  `add, addAll, clear, contains, containsAll, isEmpty, iterator, size, toArray, toArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.Set

  `equals, hashCode, spliterator`

- ## Constructor Details

  - ### RemovableKeySet

    public RemovableKeySet(HasRemovableKeys<?> request)
    Constructor.
    Parameters:
      `request` - The request.

- ## Method Details

  - ### remove

    public boolean remove(Object o)
    Specified by:
      `remove` in interface `Collection<String>`
    Specified by:
      `remove` in interface `Set<String>`
    Overrides:
      `remove` in class `KeySet`

  - ### removeAll

    public boolean removeAll(Collection<?> c)
    Specified by:
      `removeAll` in interface `Collection<String>`
    Specified by:
      `removeAll` in interface `Set<String>`
    Overrides:
      `removeAll` in class `KeySet`

  - ### retainAll

    public boolean retainAll(Collection<?> c)
    Specified by:
      `retainAll` in interface `Collection<String>`
    Specified by:
      `retainAll` in interface `Set<String>`
    Overrides:
      `retainAll` in class `KeySet`